Subject: bug#46790: 28.1; Bug#46790 reintroduced; Was make install with native-comp

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jun 2022 14:19:17 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 27 Jun 2022 10:14:50 +0000
> 
> >> ./configure CFLAGS='-O8' --with-mailutils --with-cairo --with-native-compilation
> >
> > I think that's the problem: installing the binary in a directory other
> > than $execdir/bin needs to configure with --bindir accordingly set.
> > Emacs built with native compilation records at build time the way to
> > get to native-lisp/ directory starting from the directory where the
> > Emacs binary is installed, so you must use --bindir at configure time
> > to let the build process know where the binary will be installed.  It
> > is no longer enough to set bindir only at "make install" time.
> >
> > Emacs 28.1, as released, could work without --bindir, but that was at
> > a price of effectively dropping the support for --bindir
> > configure-time switch, something I don't want to do, since it's a
> > regression.
> >
> > So please try re-configuring with
> >
> >   ./configure CFLAGS='-O8' --bindir=/usr/local/sbin/emacs-29.0.50 --with-mailutils --with-cairo --with-native-compilation
> >
> > and tell if the problem is solved by that after you install the
> > resulting binary.
> 
> Yes this fixed the problem.

Great, thanks for testing.

I guess we should mention this new requirement in NEWS or something.
I will take care of that.